Name:    qaccessibilityclient
Summary: Accessibility client library for Qt5
Version: 0.4.1
Release: 1

# KDE e.V. may determine that future LGPL versions are accepted
License: LGPLv2 or LGPLv3
URL:     https://cgit.kde.org/libkdeaccessibilityclient.git/
Source0: http://download.kde.org/stable/libqaccessibilityclient/libqaccessibilityclient-%{version}.tar.xz

## upstream patches

BuildRequires: cmake
BuildRequires: qt5-qtbase-devel
BuildRequires: extra-cmake-modules

# upstream name
Provides: libqaccessibilityclient = %{version}-%{release}

%description
%{summary}.

%package devel
Summary: Development files for %{name}
Provides: libqaccessibilityclient-devel = %{version}-%{release}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: qt5-qtbase-devel
%description  devel
%{summary}.


%prep
%autosetup -n libqaccessibilityclient-%{version} -p1


%build
%cmake_kf5

%make_build


%install
%make_install

## unpackaged files


%ldconfig_scriptlets

%files
%doc AUTHORS ChangeLog README*
%license COPYING
%{_libdir}/libqaccessibilityclient-qt5.so.0*

%files devel
%{_includedir}/qaccessibilityclient/
%{_libdir}/cmake/QAccessibilityClient/
%{_libdir}/libqaccessibilityclient-qt5.so


%changelog
* Thu Mar 28 2024 huayadong <huayadong@kylinos.cn> - 0.4.1-1
- init version to 0.4.1
